HTTP jar versions

Mike Bray 's Avatar

Mike Bray

17 May, 2018 02:53 PM

I am working on an extension that involves HTTP calls. I am using closeablehttpclient and httpclientbuilder which work fine when running under Eclipse but not when running normally. The reason seems to be the version of httpcore and httpclient jars. My release of MD has version 4.0.1 on httpcore and 4.0.3 on httpclient which are both way out of date. Are there any plans to update these?

Alternatively what do you use as an alternative? If you let me know I can use the same plan.

  1. Support Staff 1 Posted by Sean Reilly on 31 May, 2018 10:24 AM

    Sean Reilly's Avatar

    Hi Mike,
    Sorry about the outdated libraries. If updating them doesn't seem to break anything then I'll go ahead and include the latest versions in the first MD2018 (or 2019, at this rate!) version. I don't think we use those libraries at all since all of our connections go through the java system HttpURLConnection (or at least our own implementation of it). The libraries are probably needed as a dependency of some other library... very likely Dropbox.

    Thanks!

    Sean Reilly
    Developer, The Infinite Kind
    http://infinitekind.com

  2. Mike Bray closed this discussion on 13 Jun, 2018 12:01 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac